Rebuild packages fetching translations from launchpad

Bug #445603 reported by Luca Ferretti on 2009-10-07
40
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Medium
Unassigned
aptdaemon (Ubuntu)
Medium
Michael Vogt
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: aptdaemon

TEST CASE:
- install new aptdaemon from lucid-proposed
- run software-center and install packages

(simple test should be enough, this just updated the translations, no other changes)

aptdaemon translation includes messages extracted from .policy.in file (PolicyKit). Those messages will not appear translated in authentication dialog unless the translation is included in build time generated .policy file.

So could be really good in order to accomplish the Ubuntu Promise[1] fetch translations from launchpad and include them before every package rebuild. Could be also good setup the "upstream" translation[2] for aptdaemon, in order to directly import translation in source tree, instead fetching at package rebuild.

[1] "Ubuntu includes the very best translations and accessibility infrastructure that the free software community has to offer."
[2] https://translations.launchpad.net/aptdaemon

ProblemType: Bug
Architecture: i386
Date: Wed Oct 7 18:24:09 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: fglrx
Package: aptdaemon 0.10+bzr258-0ubuntu1
PackageArchitecture: all
ProcEnviron:
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-11.38-generic
SourcePackage: aptdaemon
Uname: Linux 2.6.31-11-generic i686
XsessionErrors:
 (gnome-settings-daemon:12744): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:12772): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:12779): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (gnome-panel:12771): Gdk-WARNING **: /build/buildd/gtk+2.0-2.18.2/gdk/x11/gdkdrawable-x11.c:952 drawable is not a pixmap or window
 (gnome-panel:12771): Gdk-CRITICAL **: gdk_x11_colormap_foreign_new: assertion `GDK_IS_VISUAL (visual)' failed

Luca Ferretti (elle.uca) wrote :
Sebastian Heinlein (glatzor) wrote :

I merged the translations from Ubuntu and requested a review of the translation template.

Changed in aptdaemon (Ubuntu):
status: New → In Progress
Changed in aptdaemon (Ubuntu):
status: In Progress → Fix Released
David Planella (dpm) wrote :

I'm reopening this bug after having talked to mvo, and we'll use it to track the need to export the translations from Launchpad again to build the package with them and include the latest translations to the .policy file.

Changed in aptdaemon (Ubuntu):
status: Fix Released → New
Changed in aptdaemon (Ubuntu):
status: New → In Progress
assignee: nobody → Sebastian Heinlein (glatzor)
Michael Vogt (mvo) on 2010-07-28
Changed in aptdaemon (Ubuntu):
assignee: Sebastian Heinlein (glatzor) → Michael Vogt (mvo)
importance: Undecided → Medium
description: updated
Sebastian Heinlein (glatzor) wrote :

Hello Michael,

could you please not close this bug after updating the translations? I want to keep it open as a reminder. I merged the translations two weeks ago.

Cheers!

David Planella (dpm) on 2010-08-02
Changed in ubuntu-translations:
status: New → Triaged
importance: Undecided → Medium
Jonathan Riddell (jr) wrote :

Is this fixed in maverick?

Package waiting in lucid-proposed unapproved queue

Needs debdiff on bug.

Needs approval from ubuntu-sru

John Dong (jdong) wrote :

Slightly nitpicky, but can the typo in the changelog bug number be corrected?

Looking at the diffstat/debdiff, the patch uploaded otherwise looks good.

Martin Pitt (pitti) wrote :

Michael, please reupload with correct bug number in changelog, and fix in maverick first. Thanks!

Michael Vogt (mvo) wrote :

aptdaemon (0.31+bzr449-0ubuntu2) maverick; urgency=low

  * debian/patches/06_rosetta_po_update.patch:
    - updated translations from rosetta for the policy.in
      file (LP: #445603)

 -- Michael Vogt <email address hidden> Mon, 23 Aug 2010 11:10:24 +0200

Changed in aptdaemon (Ubuntu Lucid):
status: New → In Progress
Changed in aptdaemon (Ubuntu):
status: In Progress → Fix Released

Accepted aptdaemon into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in aptdaemon (Ubuntu Lucid):
status: In Progress → Fix Committed
tags: added: verification-needed

El dc 25 de 08 de 2010 a les 07:19 +0000, en/na Martin Pitt va escriure:
> Accepted aptdaemon into lucid-proposed, the package will build now and
> be available in a few hours. Please test and give feedback here. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Thank you in advance!
>

I haven't done any extensive testing, but I've checked that with the new
upload translations from the policy.in file do get indeed loaded and I
could not notice any obvious regression.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package aptdaemon - 0.11+bzr345-0ubuntu4.1

---------------
aptdaemon (0.11+bzr345-0ubuntu4.1) lucid-proposed; urgency=low

  * debian/patches/06_rosetta_po_update.patch:
    - updated translations from LP: #445603 to get updated
      translations for the policy.in file (that is not
      supported by language packs)
 -- Michael Vogt <email address hidden> Wed, 28 Jul 2010 13:30:18 +0200

Changed in aptdaemon (Ubuntu Lucid):
status: Fix Committed → Fix Released
David Planella (dpm) on 2011-06-07
Changed in ubuntu-translations:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers